/* $Id: CreateHyperlink.java 125 2011-03-09 09:49:51Z ohura $ */
package com.hexidec.ekit.action;

import javax.swing.text.html.HTML.Tag;

import com.hexidec.ekit.GSHTMLEditor;

public class CreateHyperlink extends CreateCustomTag{
	protected String hyperlink;
	protected String id;
	public CreateHyperlink(GSHTMLEditor ekit, String actionName, Tag inTag) {
		super(ekit, actionName, inTag);
	}

	public void setTagname(String tagName,String id){
		this.hyperlink = tagName;
		this.id  = id;
	}
	
	@Override
	public String createHyperlink() {
		return hyperlink;
	}
	@Override
	public String createHyperlinkID() {
		return id;
	}

}
